summaryrefslogtreecommitdiffstats
path: root/lib/control.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/control.sh')
-rw-r--r--lib/control.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/lib/control.sh b/lib/control.sh
index ffa8bc7..97c7a96 100644
--- a/lib/control.sh
+++ b/lib/control.sh
@@ -51,6 +51,12 @@ parse_control()
# The first line is blank to consolidate
# initialization code (see heredocument below).
in_paragraph='false'
+ if [ "x${name}" != 'x' ]; then
+ if ! "${field_cb}" "${name}" "${value}"
+ then
+ return 0
+ fi
+ fi
if ! "${paragraph_cb}"; then
return 0
fi